Package ru.bitel.bgbilling.modules.payture.common.bean

# Enum Class TransactionStatus

java.lang.Object
java.lang.Enum<TransactionStatus>
ru.bitel.bgbilling.modules.payture.common.bean.TransactionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionStatus>`, `Constable`, `AbstractTransactionStatus`

public enum TransactionStatus extends Enum<TransactionStatus> implements AbstractTransactionStatus

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `AUTHORIZED`
  средства заблокированы, но не списаны (2-х стадийный платеж)
  `CHARGED`
  денежные средства списаны с карты Пользователя, платёж завершен успешно
  `ERROR`
  последняя операция по платежу завершена с ошибкой
  `NEW`
  платеж зарегистрирован в шлюзе, но его обработка в процессинге не начата
  `REFUNDED`
  успешно произведен полный или частичный возврат денежных средств на карту Пользователя
  `REJECTED`
  последняя операция по платежу отклонена
  `VOIDED`
  средства на карте были заблокированы и разблокированы (2-х стадийный платеж)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `AbstractTransactionStatus`
  `getStatusByCode(String code)`
  Получение статуса и его описания по его коду.
  `String`
  `getTitle()`
  `String`
  `toString()`
  `static TransactionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransactionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final TransactionStatus ALL

  - ### NEW

    public static final TransactionStatus NEW
    платеж зарегистрирован в шлюзе, но его обработка в процессинге не начата

  - ### AUTHORIZED

    public static final TransactionStatus AUTHORIZED
    средства заблокированы, но не списаны (2-х стадийный платеж)

  - ### VOIDED

    public static final TransactionStatus VOIDED
    средства на карте были заблокированы и разблокированы (2-х стадийный платеж)

  - ### CHARGED

    public static final TransactionStatus CHARGED
    денежные средства списаны с карты Пользователя, платёж завершен успешно

  - ### REFUNDED

    public static final TransactionStatus REFUNDED
    успешно произведен полный или частичный возврат денежных средств на карту Пользователя

  - ### REJECTED

    public static final TransactionStatus REJECTED
    последняя операция по платежу отклонена

  - ### ERROR

    public static final TransactionStatus ERROR
    последняя операция по платежу завершена с ошибкой

- ## Method Details

  - ### values

    public static TransactionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransactionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `AbstractTransactionStatus`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `AbstractTransactionStatus`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `AbstractTransactionStatus`
    Overrides:
      `toString` in class `Enum<TransactionStatus>`

  - ### getStatusByCode

    public AbstractTransactionStatus getStatusByCode(String code)
    Получение статуса и его описания по его коду.
    Specified by:
      `getStatusByCode` in interface `AbstractTransactionStatus`
    Parameters:
      `code` -
    Returns: